Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(LWP/Simple.pm) perl(Net/FTP.pm) perl(YAML.pm) perl-podlators
# END SourceDeps(oneline)
%filter_from_requires /^perl(mod_perl.pm)/d
%filter_from_requires /^perl.mixin.pm./d
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Kwiki-ModPerl
Version:        0.09
Release:        alt1_35
Summary:        Enable Kwiki to work under mod_perl
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Kwiki-ModPerl
Source0:        https://cpan.metacpan.org/authors/id/G/GU/GUGOD/Kwiki-ModPerl-%{version}.tar.gz
# Perl 5.18 compatibility, CPAN RT#87450
Patch0:         Kwiki-ModPerl-0.09-Parenthesise-qw-explicitly.patch
Patch1:         Kwiki-ModPerl-0.09-Fix-building-on-Perl-without-dot-in-INC.patch
BuildArch:      noarch
# Build
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Config.pm)
BuildRequires:  perl(Cwd.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(ExtUtils/MM_Unix.pm)
BuildRequires:  perl(File/Find.pm)
BuildRequires:  perl(File/Path.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(vars.pm)
# Runtime
BuildRequires:  perl(Apache2/Const.pm)
BuildRequires:  perl(Apache2/RequestIO.pm)
BuildRequires:  perl(Apache2/RequestRec.pm)
BuildRequires:  perl(Apache2/RequestUtil.pm)
BuildRequires:  perl(constant.pm)
BuildRequires:  perl(Kwiki.pm)
BuildRequires:  perl(mod_perl2.pm)
# Tests only
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(warnings.pm)
Requires:       perl(Apache2/Const.pm)
Requires:       perl(Apache2/RequestIO.pm)
Requires:       perl(Apache2/RequestRec.pm)
Requires:       perl(Apache2/RequestUtil.pm)
Requires:       perl(Kwiki.pm) >= 0.320
Requires:       perl(mod_perl2.pm)


Source44: import.info
%filter_from_requires /^perl(Kwiki.pm)/d

%description
This module allows you to use Kwiki as a mod_perl content handler.

%prep
%setup -q -n Kwiki-ModPerl-%{version}
%patch0 -p1
%patch1 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1_35
- update to new release by fcimport

* Fri Jan 04 2019 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1_34
- rebuild to get rid of unmets

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1_28
- update to new release by fcimport

* Sun May 29 2016 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1_27
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1_26
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1_24
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1_22
- update to new release by fcimport

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1_21
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1_20
- update to new release by fcimport

* Mon Aug 05 2013 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1_19
- update to new release by fcimport

* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1_18
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1_17
- update to new release by fcimport

* Mon May 28 2012 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1_15
- fc import

